package org.security.imagePlatformDock.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.security.imagePlatformDock.entity.UploadFileRecord;

/**
 * @author ：wzf
 * @since ：Created in 2022/9/8 10:04
 */
public interface IUploadFileRecordService extends IService<UploadFileRecord> {

	String getUserData(Long userId);

	/**
	 * 获取附件上传影像平台流水号
	 *
	 * @param busiBeginDate 业务开始时间
	 * @param contentId     影像平台附件标识id
	 * @return 平台流水号平台流水号
	 */
	String getBusiSerialNo(String busiBeginDate, String contentId);

	String getDeptCode(String deptId);
}
